# macros for sysvinit transition - should be equal to
# sysvinit %version-%release-plus-1
%define sysvinit_version 2.87
%define sysvinit_release 17

%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define libnss_major 2
%define libnss_myhostname %mklibname nss_myhostname %{libnss_major}

%define udev_major 1
%define libudev %mklibname udev %{udev_major}
%define libudev_devel %mklibname udev -d

%define systemd_libdir /lib/systemd
%define udev_libdir /lib/udev
%define udev_rules_dir %{udev_libdir}/rules.d
%define udev_user_rules_dir %{_sysconfdir}/udev/rules.d

%define _udevhwdbdir	/lib/udev/hwdb.d

%bcond_with bootstrap
%{?build_selinux}%{?!build_selinux:%bcond_with selinux}

Summary:	A System and Session Manager
Name:		systemd
Version:	230
Release:	8
License:	GPLv2+
Group:		System/Configuration/Boot and Init
Url:		http://www.freedesktop.org/wiki/Software/systemd
Source0:	http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
Source1:	systemd-sysv-install
Source2:	50-udev-mandriva.rules
Source3:	69-printeracl.rules
Source5:	udev.sysconfig
# (blino) net rules and helpers
Source6:	76-net.rules
Source7:	udev_net_create_ifcfg
Source8:	udev_net_action
Source9:	udev_net.sysconfig
# (hk) udev rules for zte 3g modems with drakx-net
Source10:	61-mobile-zte-drakx-net.rules
Source11:	listen.conf
# (tpg) default preset for services
Source12:	90-default.preset
Source13:	85-display-manager.preset
Source14:	99-default-disable.preset
# Our efi boot generator
Source15:	systemd-efi-boot-generator
Source17:	90-enable.network
Source18:	90-user-default.preset
Source19:	10-imx.rules
Source20:	90-wireless.network
Source100:	%{name}.rpmlintrc

### SYSTEMD ###

### OMV patches###
# We need a static libudev.a for the uClibc build because lvm2 requires it.
# Put back support for building it.
Patch4:		systemd-230-static.patch
# uClibc lacks secure_getenv(), DO NOT REMOVE!
Patch6:		systemd-230-support-build-without-secure_getenv.patch
Patch7:		systemd-230-uclibc-no-mkostemp.patch
Patch8:		systemd-230-set-max-journal-size-to-150M.patch
Patch11:	systemd-220-silent-fsck-on-boot.patch
Patch13:	systemd-230-uclibc-exp10-replacement.patch
Patch14:	systemd-217-do-not-run-systemd-firstboot-in-containers.patch
Patch15:	1005-create-default-links-for-primary-cd_dvd-drive.patch
# (tpg) https://issues.openmandriva.org/show_bug.cgi?id=1092
# keep this patch until upstream will fix it
Patch16:	systemd-219-always-restart-systemd-timedated.service.patch
# (tpg )https://bugs.freedesktop.org/show_bug.cgi?id=89383
Patch19:	0001-Revert-core-mount-add-dependencies-to-dynamically-mo.patch

#Upstream patchset
Patch100:	0100-Revert-rules-allow-users-to-access-frame-buffer-devi.patch
Patch101:	0101-automount-handle-expire_tokens-when-the-mount-unit-c.patch
Patch102:	0102-rules-make-sure-always-set-at-least-one-property-on-.patch
Patch103:	0103-If-the-notification-message-length-is-0-ignore-the-m.patch
Patch104:	0104-pid1-don-t-return-any-error-in-manager_dispatch_noti.patch
Patch105:	0105-pid1-process-zero-length-notification-messages-again.patch
Patch106:	0106-pid1-more-informative-error-message-for-ignored-noti.patch
Patch107:	systemd-230-CVE-2018-1049.patch
Patch108:	systemd-230-CVE-2017-15908.patch
Patch109:	systemd-230-bug5607.patch

#Mageia/ROSA patchset
Patch500:	0500-main-Add-failsafe-to-the-sysvinit-compat-cmdline-key.v2.patch
Patch503:	0503-udev-Allow-the-udevadm-settle-timeout-to-be-set-via-.patch
Patch504:	0504-Mageia-Relax-perms-on-sys-kernel-debug-for-lspcidrak.patch
# (tmb) silcence udev version print as it breaks splash
Patch516:	0516-udev-silence-version-print.patch
Patch518:	0518-hwdb-Add-support-for-Packard-Bell-wlan-keys.patch
Patch522:	0522-agetty-Preserve-locale-settings-for-login.patch
Patch525:	0525-Perform-vconsole-setup-after-vtcon_vcs-init.patch
Patch526:	0526-systemd-219-dont-create-os-release.patch
Patch530:	systemd-230-coredump-conf.patch
Patch531:	systemd-219-disable-duplicate-services.patch
Patch532:	systemd-230-fix_build_with_gperf-3.1.patch

#SUSE patchset

BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-dtd45-xml
BuildRequires:	gperf
BuildRequires:	intltool
BuildRequires:	libtool
# make sure we have /etc/os-release available, required by --with-distro
#BuildRequires:	rosa-release-common
BuildRequires:	vala >= 0.9
BuildRequires:	xsltproc
BuildRequires:	acl-devel
BuildRequires:	audit-devel
BuildRequires:	libcap-devel
%if %{with selinux}
BuildRequires:	selinux-devel >= 2.1.9
%endif
BuildRequires:	pam-devel >= 1.1.4-9
BuildRequires:	qrencode-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(dbus-1) >= 1.4.0
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(efivar)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcryptsetup)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libkmod) >= 5
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libmicrohttpd) >= 0.9.33
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libiptc)
%if !%{with bootstrap}
BuildRequires:	pkgconfig(libcryptsetup)
BuildRequires:	python-lxml
%endif
BuildRequires:	elfutils-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libidn)
Requires:	bash-completion >= 2.1
Requires:	chkconfig
Requires:	dbus
Requires:	efivar
#Need for efi generator
Requires:	gdisk
# (tpg) just to be sure we install this libraries
Requires:	%{libname} = %{EVRD}
Requires:	nss_myhostname = %{EVRD}
Requires:	lockdev
Requires:	kmod
Requires:	udev = %{EVRD}
Requires:	%{libudev} = %{EVRD}
Requires(pre,post):	coreutils
Requires(post):	awk
Requires(post):	gawk
Requires(post):	grep
Requires(post):	lockdev
Requires(pre):	basesystem-minimal
Requires(pre):	initscripts >= 9.56
Requires(pre):	util-linux >= 2.18-2
Requires(pre):	shadow-utils
Conflicts:	initscripts < 9.56
Conflicts:	networkmanager < 1.0.0
Conflicts:	%{name}-units < %{EVRD}
Conflicts:	%{name}-units > %{EVRD}
Provides:	should-restart = system
#(tpg)for future releases... systemd provides also a full functional syslog tool
Provides:	syslog-daemon
%rename		readahead

# (tpg) conflict with old sysvinit subpackage
%rename	systemd-sysvinit
Conflicts:	systemd-sysvinit < 219-1
# (eugeni) systemd should work as a drop-in replacement for sysvinit, but not obsolete it
#SysVinit < %sysvinit_release-%sysvinit_release It's provides something
#like that SysVinit < 14-14 when it should be SysVinit 2.87-14
Provides:	sysvinit = %sysvinit_version-%sysvinit_release, SysVinit = %sysvinit_version-%sysvinit_release
# (tpg) time to die
Obsoletes:	sysvinit < %sysvinit_version-%sysvinit_release, SysVinit < %sysvinit_version-%sysvinit_release
# Due to halt/poweroff etc. in _bindir
Conflicts:	usermode-consoleonly < 1:1.110
%rename		systemd-tools

%description
systemd is a system and session manager for Linux, compatible with
SysV and LSB init scripts. systemd provides aggressive parallelization
capabilities, uses socket and D-Bus activation for starting services,
offers on-demand starting of daemons, keeps track of processes using
Linux cgroups, supports snapshotting and restoring of the system
state, maintains mount and automount points and implements an
elaborate transactional dependency-based service control logic. It can
work as a drop-in replacement for sysvinit.

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.systemd1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.hostname1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.import1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.locale1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.login1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.machine1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.network1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.resolve1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.timedate1.conf
%config(noreplace) %{_sysconfdir}/systemd/coredump.conf
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) %{_sysconfdir}/rsyslog.d/listen.conf
%config(noreplace) %{_sysconfdir}/systemd/resolved.conf
%config(noreplace) %{_sysconfdir}/systemd/timesyncd.conf
%config(noreplace) %{_prefix}/lib/sysctl.d/50-coredump.conf
%config(noreplace) %{_prefix}/lib/sysctl.d/50-default.conf
%config(noreplace) %{_prefix}/lib/sysusers.d/basic.conf
%config(noreplace) %{_prefix}/lib/sysusers.d/systemd.conf
%ghost %config(noreplace) %{_sysconfdir}/hostname
%ghost %config(noreplace) %{_sysconfdir}/localtime
%ghost %config(noreplace) %{_sysconfdir}/vconsole.conf
%ghost %config(noreplace) %{_sysconfdir}/locale.conf
%ghost %config(noreplace) %{_sysconfdir}/machine-id
%ghost %config(noreplace) %{_sysconfdir}/machine-info
%ghost %config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) %{_sysconfdir}/crypttab

%ghost %attr(0664,root,utmp) %{_localstatedir}/run/utmp
%ghost %attr(0664,root,utmp) %{_localstatedir}/log/wtmp
%ghost %attr(0600,root,utmp) %{_localstatedir}/log/btmp
%{_sysconfdir}/pam.d/%{name}-user

%dir /run
%dir %{systemd_libdir}
%dir %{systemd_libdir}/*-generators
%dir %{systemd_libdir}/system-shutdown
%dir %{systemd_libdir}/system-sleep
%dir %{systemd_libdir}/ntp-units.d
%dir %{systemd_libdir}/system-preset
%dir %{systemd_libdir}/user-preset
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%{_prefix}/lib/kernel/install.d/*.install
%{_sysconfdir}/X11/xinit/xinitrc.d/50-systemd-user.sh
%{_sysconfdir}/xdg/systemd
%attr(0755,root,systemd-coredump) %dir %{_localstatedir}/lib/systemd/coredump
%attr(02755,root,systemd-journal) %dir %{_logdir}/journal

# (law) from sysvinit subpackage
/sbin/init
/bin/reboot
/bin/halt
/bin/poweroff
/sbin/shutdown
/sbin/telinit
/sbin/runlevel
#
/bin/systemd-ask-password
/bin/systemd-notify
/bin/systemd-tmpfiles
/bin/systemd-tty-ask-password-agent
/bin/systemd
/bin/networkctl
/bin/systemd-escape
/bin/systemd-firstboot
/bin/systemd-sysusers
/bin/journalctl
/bin/loginctl
/bin/systemd-inhibit
/sbin/systemd-machine-id-setup
%{_bindir}/busctl
%{_bindir}/systemd-analyze
%{_bindir}/systemd-delta
%{_bindir}/systemd-detect-virt
/bin/systemd-hwdb
%{_bindir}/systemd-loginctl
%{_bindir}/systemd-path
%{_bindir}/bootctl
%{_bindir}/hostnamectl
%{_bindir}/kernel-install
%{_bindir}/localectl
%{_bindir}/coredumpctl
%{_bindir}/timedatectl
%{_bindir}/systemd-resolve
%{_bindir}/systemd-run
%{_bindir}/systemd-socket-activate
%{systemd_libdir}/import-pubring.gpg
%{systemd_libdir}/systemd*
%exclude %{systemd_libdir}/systemd-udevd
%exclude %{systemd_libdir}/systemd-journal-upload
%exclude %{systemd_libdir}/systemd-journal-gatewayd
%exclude %{systemd_libdir}/systemd-journal-remote
%{systemd_libdir}/*-generators/*
%{systemd_libdir}/system-preset/*.preset
%{systemd_libdir}/user-preset/*.preset
%{_tmpfilesdir}/*.conf
%exclude %{_tmpfilesdir}/systemd-remote.conf
/%{_lib}/security/pam_systemd.so
%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.*
%{_bindir}/systemd-cgls
%{_bindir}/systemd-nspawn
%{_bindir}/systemd-stdio-bridge
%{_bindir}/systemd-cat
%{_bindir}/systemd-cgtop
%{_mandir}/man1/bootctl.*
%{_mandir}/man1/busctl.1.*
%{_mandir}/man1/coredumpctl.*
%{_mandir}/man1/hostnamectl.*
%{_mandir}/man1/init.*
%{_mandir}/man1/journalctl.1*
%{_mandir}/man1/localectl.*
%{_mandir}/man1/loginctl.*
%{_mandir}/man1/networkctl.1*
%{_mandir}/man1/systemd-analyze.1*
%{_mandir}/man1/systemd-ask-password.*
%{_mandir}/man1/systemd-cat.1*
%{_mandir}/man1/systemd-cgls.*
%{_mandir}/man1/systemd-cgtop.*
%{_mandir}/man1/systemd-delta.1.*
%{_mandir}/man1/systemd-detect-virt.1.*
%{_mandir}/man1/systemd-escape.1.*
%{_mandir}/man1/systemd-firstboot*.1.*
%{_mandir}/man1/systemd-inhibit.1.*
%{_mandir}/man1/systemd-machine-id-setup.1*
%{_mandir}/man1/systemd-notify.*
%{_mandir}/man1/systemd-nspawn.*
%{_mandir}/man1/systemd-path.1.*
%{_mandir}/man1/systemd-resolve.1*
%{_mandir}/man1/systemd-run.*
%{_mandir}/man1/systemd-socket-activate.1*
%{_mandir}/man1/systemd-tty-ask-password-agent.*
%{_mandir}/man1/systemd.*
%{_mandir}/man1/timedatectl.*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/kernel-install.*
%{_mandir}/man8/halt.*
%{_mandir}/man8/reboot.*
%{_mandir}/man8/shutdown.*
%{_mandir}/man8/poweroff.*
%{_mandir}/man8/telinit.*
%{_mandir}/man8/runlevel.*
%{_mandir}/man8/pam_systemd.*
%{_mandir}/man8/systemd-*
%exclude %{_mandir}/man8/systemd-journal-gatewayd.*
%exclude %{_mandir}/man8/systemd-journal-remote.*
%exclude %{_mandir}/man8/systemd-journal-upload.*
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.hostname1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.import1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.locale1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.login1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.machine1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.network1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.resolve1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timedate1.service
%{_datadir}/polkit-1/actions/org.freedesktop.systemd1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.hostname1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.import1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.locale1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.login1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.machine1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.timedate1.policy
%{_datadir}/systemd/kbd-model-map
%{_datadir}/systemd/language-fallback-map
%{_datadir}/factory/etc/nsswitch.conf
%{_datadir}/factory/etc/pam.d/other
%{_datadir}/factory/etc/pam.d/system-auth
%{_docdir}/systemd
%{_initddir}/systemd.README
%{_var}/log/systemd.README

#----------------------------------------------------------------------------

%package units
Summary:	Configuration files, directories and installation tool for systemd
Group:		System/Configuration/Boot and Init
Requires(post):	awk
Requires(post):	coreutils
Requires(post):	gawk
Requires(post):	grep
%rename		resolvconf
Conflicts:	resolvconf < 1.75-22
Conflicts:	systemd < 219

%description units
Basic configuration files, directories and installation tool for the systemd
system and session manager.

%files units
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/systemd/user/default.target.wants
%dir %{_sysconfdir}/systemd/system/getty.target.wants
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
%dir %{systemd_libdir}/system
%dir %{systemd_libdir}/system/basic.target.wants
%dir %{systemd_libdir}/system/bluetooth.target.wants
%dir %{systemd_libdir}/system/busnames.target.wants
%dir %{systemd_libdir}/system/dbus.target.wants
%dir %{systemd_libdir}/system/default.target.wants
%dir %{systemd_libdir}/system/graphical.target.wants
%dir %{systemd_libdir}/system/local-fs.target.wants
%dir %{systemd_libdir}/system/multi-user.target.wants
%dir %{systemd_libdir}/system/rescue.target.wants
%dir %{systemd_libdir}/system/runlevel1.target.wants
%dir %{systemd_libdir}/system/runlevel2.target.wants
%dir %{systemd_libdir}/system/runlevel3.target.wants
%dir %{systemd_libdir}/system/runlevel4.target.wants
%dir %{systemd_libdir}/system/runlevel5.target.wants
%dir %{systemd_libdir}/system/sockets.target.wants
%dir %{systemd_libdir}/system/sysinit.target.wants
%dir %{systemd_libdir}/system/syslog.target.wants
%dir %{systemd_libdir}/system/timers.target.wants
%dir %{systemd_libdir}/network
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/catalog
%dir %{_prefix}/lib/systemd/system-generators
%dir %{_prefix}/lib/systemd/user
%dir %{_prefix}/lib/systemd/user-generators
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/*
%{_datadir}/zsh/site-functions/*
/bin/systemctl
/bin/machinectl
%{_bindir}/systemctl
%{_sysconfdir}/profile.d/40systemd.sh
%{_sysconfdir}/rpm/macros.d/%{name}.macros
%{systemd_libdir}/system/busnames.target.wants/*.busname
%{systemd_libdir}/system/local-fs.target.wants/*.service
%{systemd_libdir}/system/local-fs.target.wants/*.mount
%{systemd_libdir}/system/multi-user.target.wants/*.target
%{systemd_libdir}/system/multi-user.target.wants/*.path
%{systemd_libdir}/system/multi-user.target.wants/*.service
%{systemd_libdir}/system/sockets.target.wants/*.socket
%if !%{with bootstrap}
%{systemd_libdir}/system/sysinit.target.wants/cryptsetup.target
%endif
%{systemd_libdir}/system/sysinit.target.wants/*.*mount
%{systemd_libdir}/system/sysinit.target.wants/*.service
%{systemd_libdir}/system/sysinit.target.wants/*.path
%{systemd_libdir}/system/timers.target.wants/*.timer
%{systemd_libdir}/system/graphical.target.wants/*.service
%{systemd_libdir}/system/rescue.target.wants/*.service
%{systemd_libdir}/system/*.automount
%{systemd_libdir}/system/*.busname
%{systemd_libdir}/system/*.mount
%{systemd_libdir}/system/*.path
%{systemd_libdir}/system/auto*.service
%{systemd_libdir}/system/console*.service
%{systemd_libdir}/system/container-getty@.service
%{systemd_libdir}/system/dbus-org*.service
%{systemd_libdir}/system/de*.service
%{systemd_libdir}/system/emergency*.service
%{systemd_libdir}/system/getty*.service
%{systemd_libdir}/system/halt-*.service
%{systemd_libdir}/system/initrd-*.service
%{systemd_libdir}/system/kmod-*.service
%{systemd_libdir}/system/ldconfig.service
%{systemd_libdir}/system/quota*.service
%{systemd_libdir}/system/rc-*.service
%{systemd_libdir}/system/rescue*.service
%{systemd_libdir}/system/serial-*.service
%{systemd_libdir}/system/systemd-ask-password*.service
%{systemd_libdir}/system/systemd-backlight*.service
%{systemd_libdir}/system/systemd-binfmt*.service
%{systemd_libdir}/system/systemd-coredump@.service
%{systemd_libdir}/system/systemd-exit.service
%{systemd_libdir}/system/systemd-firstboot.service
%{systemd_libdir}/system/systemd-fsck*.service
%{systemd_libdir}/system/systemd-halt*.service
%{systemd_libdir}/system/systemd-hibernate*.service
%{systemd_libdir}/system/systemd-hostnamed*.service
%{systemd_libdir}/system/systemd-hybrid*.service
%{systemd_libdir}/system/systemd-hwdb-update.service
%{systemd_libdir}/system/systemd-importd.service
%{systemd_libdir}/system/systemd-initctl*.service
%{systemd_libdir}/system/systemd-journal-flush.service
%{systemd_libdir}/system/systemd-journal-catalog-update.service
%{systemd_libdir}/system/systemd-journald.service
%{systemd_libdir}/system/systemd-journald-dev-log.socket
%{systemd_libdir}/system/systemd-kexec*.service
%{systemd_libdir}/system/systemd-localed*.service
%{systemd_libdir}/system/systemd-logind*.service
%{systemd_libdir}/system/systemd-machined.service
%{systemd_libdir}/system/systemd-machine-id-commit.service
%{systemd_libdir}/system/systemd-modules-load.service
%{systemd_libdir}/system/systemd-networkd.service
%{systemd_libdir}/system/systemd-networkd-wait-online.service
%{systemd_libdir}/system/systemd-nspawn*.service
%{systemd_libdir}/system/systemd-poweroff.service
%{systemd_libdir}/system/systemd-quotacheck.service
%{systemd_libdir}/system/systemd-random*service
%{systemd_libdir}/system/systemd-reboot.service
%{systemd_libdir}/system/systemd-remount*.service
%{systemd_libdir}/system/systemd-resolved.service
%{systemd_libdir}/system/systemd-rfkill.service
%{systemd_libdir}/system/systemd-suspend.service
%{systemd_libdir}/system/systemd-sysctl.service
%{systemd_libdir}/system/systemd-sysusers.service
%{systemd_libdir}/system/systemd-timedated.service
%{systemd_libdir}/system/systemd-timesyncd.service
%{systemd_libdir}/system/systemd-tmpfiles-*.service
%{systemd_libdir}/system/systemd-tmpfiles-*.timer
%{systemd_libdir}/system/systemd-udev*.service
%{systemd_libdir}/system/systemd-update-*.service
%{systemd_libdir}/system/systemd-user-*.service
%{systemd_libdir}/system/systemd-vconsole-*.service
%{systemd_libdir}/system/udev*.service
%{systemd_libdir}/system/user*.service

%{systemd_libdir}/system/*.slice

%{systemd_libdir}/system/syslog.socket
%{systemd_libdir}/system/systemd-coredump.socket
%{systemd_libdir}/system/systemd-initctl.socket
%{systemd_libdir}/system/systemd-journald.socket
%{systemd_libdir}/system/systemd-journald-audit.socket
%{systemd_libdir}/system/systemd-networkd.socket
%{systemd_libdir}/system/systemd-rfkill.socket
%{systemd_libdir}/system/systemd-udev*.socket
%{systemd_libdir}/system/*.target

%{systemd_libdir}/network/80-container-host0.network
%{systemd_libdir}/network/80-container-ve.network
%{systemd_libdir}/network/80-container-vz.network
%{systemd_libdir}/network/90-enable.network
%{systemd_libdir}/network/90-wireless.network
%ghost %{systemd_libdir}/network/95-rosa-legacy-naming.link
%{systemd_libdir}/network/99-default.link

%{_prefix}/lib/systemd/catalog/*.catalog
%{_prefix}/lib/systemd/user/*.service
%{_prefix}/lib/systemd/user/*.target
%{_prefix}/lib/systemd/user-generators/systemd-dbus1-generator
%{_mandir}/man1/machinectl.*
%{_mandir}/man1/systemctl.*

#----------------------------------------------------------------------------

%package journal-gateway
Summary:	Gateway for serving journal events over the network using HTTP
Requires:	%{name} = %{EVRD}
Requires(pre,post,preun,postun):	rpm-helper
Obsoletes:		systemd < 206-7

%description journal-gateway
Offers journal events over the network using HTTP.

%files journal-gateway
%config(noreplace) %{_sysconfdir}/systemd/journal-remote.conf
%config(noreplace) %{_sysconfdir}/systemd/journal-upload.conf
%config(noreplace) %{_prefix}/lib/sysusers.d/systemd-remote.conf
%dir %{_datadir}/systemd/gatewayd
%{systemd_libdir}/systemd-journal-gatewayd
%{systemd_libdir}/systemd-journal-remote
%{systemd_libdir}/systemd-journal-upload
%{systemd_libdir}/system/systemd-journal-gatewayd.service
%{systemd_libdir}/system/systemd-journal-gatewayd.socket
%{systemd_libdir}/system/systemd-journal-remote.service
%{systemd_libdir}/system/systemd-journal-remote.socket
%{systemd_libdir}/system/systemd-journal-upload.service
%{_tmpfilesdir}/systemd-remote.conf
%{_mandir}/man8/systemd-journal-gatewayd.8.*
%{_mandir}/man8/systemd-journal-upload.8.*
%{_mandir}/man8/systemd-journal-remote.8.*
%{_mandir}/man8/systemd-journal-gatewayd.service.8.*
%{_mandir}/man8/systemd-journal-gatewayd.socket.8.*
%{_datadir}/systemd/gatewayd/browse.html

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Systemdlibrary package
Group:		System/Libraries
Provides:	libsystemd = %{EVRD}
Obsoletes:	%{_lib}systemd-daemon0 < 230
Obsoletes:	%{_lib}systemd-id1280 < 230
Obsoletes:	%{_lib}systemd-journal0 < 230
Obsoletes:	%{_lib}systemd-login0 < 230

%description -n %{libname}
This package provides the systemd shared library.

%files -n %{libname}
/%{_lib}/libsystemd.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Systemd library development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	libsystemd-devel = %{EVRD}
Conflicts:	%{_lib}systemd-daemon0-devel < 230
Conflicts:	%{_lib}systemd-id1280-devel < 230
Conflicts:	%{_lib}systemd-journal0-devel < 230
Conflicts:	%{_lib}systemd-login0-devel < 230
Obsoletes:	%{_lib}systemd-daemon0-devel < 230
Obsoletes:	%{_lib}systemd-id1280-devel < 230
Obsoletes:	%{_lib}systemd-journal0-devel < 230
Obsoletes:	%{_lib}systemd-login0-devel < 230
# Provide old autogenerated names until other devel packages are rebuilt
%ifarch x86_64
Provides:	devel(libsystemd-id128(64bit))
Provides:	devel(libsystemd-journal(64bit))
Provides:	devel(libsystemd-login(64bit))
Provides:	devel(libsystemd-daemon(64bit))
%else
Provides:	devel(libsystemd-id128)
Provides:	devel(libsystemd-journal)
Provides:	devel(libsystemd-login)
Provides:	devel(libsystemd-daemon)
%endif

%description -n %{devname}
Development files for the systemd shared library.

%files -n %{devname}
%dir %{_includedir}/systemd
%{_includedir}/systemd/_sd-common.h
%{_includedir}/systemd/sd-bus-protocol.h
%{_includedir}/systemd/sd-bus-vtable.h
%{_includedir}/systemd/sd-bus.h
%{_includedir}/systemd/sd-daemon.h
%{_includedir}/systemd/sd-event.h
%{_includedir}/systemd/sd-id128.h
%{_includedir}/systemd/sd-journal.h
%{_includedir}/systemd/sd-login.h
%{_includedir}/systemd/sd-messages.h
%{_libdir}/libsystemd.so
%{_libdir}/pkgconfig/libsystemd.pc
%{_datadir}/pkgconfig/systemd.pc

#----------------------------------------------------------------------------

%package -n %{libnss_myhostname}
Summary:	Library for local system host name resolution
Group:		System/Libraries
Provides:	libnss_myhostname = %{EVRD}
Provides:	nss_myhostname = %{EVRD}
Obsoletes:	nss_myhostname <= 0.4
Obsoletes:	nss-myhostname <= 0.4
Requires(post,preun):	bash
Requires(post,preun):	rpm-helper >= 0.24.12-11
Requires(post,preun):	sed

%description -n %{libnss_myhostname}
nss-myhostname is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing host name
resolution for the locally configured system hostname as returned by
gethostname(2).

%files -n %{libnss_myhostname}
%{_libdir}/libnss_myhostname.so.%{libnss_major}*
%{_libdir}/libnss_mymachines.so.%{libnss_major}
%{_libdir}/libnss_resolve.so.%{libnss_major}
%{_mandir}/man8/libnss_myhostname.so*.8*
%{_mandir}/man8/libnss_mymachines.so*.8*
%{_mandir}/man8/libnss_resolve.so*.8*
%{_mandir}/man8/nss-myhostname.8*
%{_mandir}/man8/nss-mymachines.8*
%{_mandir}/man8/nss-resolve.8*

#----------------------------------------------------------------------------

%package -n udev
Summary:	Device manager for the Linux kernel
Group:		System/Configuration/Hardware
Requires:	acl
Requires:	ldetect-lst
Requires:	setup >= 2.7.16
Requires:	util-linux-ng >= 2.15
# for disk/lp groups
Requires(pre):	setup
Requires(pre):	coreutils
Requires(post,preun):	rpm-helper
Provides:	should-restart = system
Obsoletes:	hal <= 0.5.14-6

%description -n udev
A collection of tools and a daemon to manage events received
from the kernel and deal with them in user-space. Primarily this
involves managing permissions, and creating and removing meaningful
symlinks to device nodes in /dev when hardware is discovered or
removed from the system

%files -n udev
%dir /lib/firmware
%dir /lib/firmware/updates
%dir %{udev_libdir}
%dir %{_sysconfdir}/udev
%dir %{udev_rules_dir}
%dir %{_udevhwdbdir}
%{_udevhwdbdir}/20-*.hwdb
%{_udevhwdbdir}/60-*.hwdb
%{_udevhwdbdir}/70-*.hwdb
%dir %{_sysconfdir}/udev/agents.d
%dir %{_sysconfdir}/udev/agents.d/usb
%config(noreplace) %{_sysconfdir}/sysconfig/udev
%config(noreplace) %{_sysconfdir}/sysconfig/udev_net
%config(noreplace) %{_sysconfdir}/udev/*.conf
%ghost %config(noreplace,missingok) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config
%{systemd_libdir}/systemd-udevd
%{_bindir}/udevadm
%attr(0755,root,root) /sbin/udevadm
%attr(0755,root,root) %{_sbindir}/udevadm
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) %{udev_libdir}/udevd
%{udev_rules_dir}/*.rules
%attr(0755,root,root) %{udev_libdir}/ata_id
%attr(0755,root,root) %{udev_libdir}/cdrom_id
%attr(0755,root,root) %{udev_libdir}/scsi_id
%attr(0755,root,root) %{udev_libdir}/collect
%attr(0755,root,root) %{udev_libdir}/net_create_ifcfg
%attr(0755,root,root) %{udev_libdir}/net_action
%attr(0755,root,root) %{udev_libdir}/v4l_id
%attr(0755,root,root) %{udev_libdir}/mtd_probe
# From previous Mandriva /etc/udev/devices.d and patches
%attr(0666,root,root) %dev(c,1,3) %{udev_libdir}/devices/null
%attr(0600,root,root) %dev(b,2,0) %{udev_libdir}/devices/fd0
%attr(0600,root,root) %dev(b,2,1) %{udev_libdir}/devices/fd1
%attr(0600,root,root) %dev(c,21,0) %{udev_libdir}/devices/sg0
%attr(0600,root,root) %dev(c,21,1) %{udev_libdir}/devices/sg1
%attr(0600,root,root) %dev(c,9,0) %{udev_libdir}/devices/st0
%attr(0600,root,root) %dev(c,9,1) %{udev_libdir}/devices/st1
%attr(0600,root,root) %dev(c,99,0) %{udev_libdir}/devices/parport0
%dir %{udev_libdir}/devices/cpu
%dir %{udev_libdir}/devices/cpu/0
%attr(0600,root,root) %dev(c,203,0) %{udev_libdir}/devices/cpu/0/cpuid
%attr(0600,root,root) %dev(c,10,184) %{udev_libdir}/devices/cpu/0/microcode
%attr(0600,root,root) %dev(c,202,0) %{udev_libdir}/devices/cpu/0/msr
%attr(0600,root,root) %dev(c,162,0) %{udev_libdir}/devices/rawctl
%attr(0600,root,root) %dev(c,195,0) %{udev_libdir}/devices/nvidia0
%attr(0600,root,root) %dev(c,195,255) %{udev_libdir}/devices/nvidiactl
# Default static nodes to copy to /dev on udevd start
%dir %{udev_libdir}/devices
# From Fedora RPM
%attr(0755,root,root) %dir %{udev_libdir}/devices/net
%attr(0755,root,root) %dir %{udev_libdir}/devices/hugepages
%attr(0755,root,root) %dir %{udev_libdir}/devices/pts
%attr(0755,root,root) %dir %{udev_libdir}/devices/shm
%attr(666,root,root) %dev(c,10,200) %{udev_libdir}/devices/net/tun
%attr(600,root,root) %dev(c,108,0) %{udev_libdir}/devices/ppp
%attr(666,root,root) %dev(c,10,229) %{udev_libdir}/devices/fuse
%attr(660,root,lp) %dev(c,6,0) %{udev_libdir}/devices/lp0
%attr(660,root,lp) %dev(c,6,1) %{udev_libdir}/devices/lp1
%attr(660,root,lp) %dev(c,6,2) %{udev_libdir}/devices/lp2
%attr(660,root,lp) %dev(c,6,3) %{udev_libdir}/devices/lp3
%attr(640,root,disk) %dev(b,7,0) %{udev_libdir}/devices/loop0
%attr(640,root,disk) %dev(b,7,1) %{udev_libdir}/devices/loop1
%attr(640,root,disk) %dev(b,7,2) %{udev_libdir}/devices/loop2
%attr(640,root,disk) %dev(b,7,3) %{udev_libdir}/devices/loop3
%attr(640,root,disk) %dev(b,7,4) %{udev_libdir}/devices/loop4
%attr(640,root,disk) %dev(b,7,5) %{udev_libdir}/devices/loop5
%attr(640,root,disk) %dev(b,7,6) %{udev_libdir}/devices/loop6
%attr(640,root,disk) %dev(b,7,7) %{udev_libdir}/devices/loop7
%{_mandir}/man8/udevadm.8.*

#----------------------------------------------------------------------------

%package -n %{libudev}
Summary:	Library for udev
Group:		System/Libraries
Obsoletes:	%{mklibname hal 1} <= 0.5.14-6

%description -n %{libudev}
Library for udev.

%files -n %{libudev}
/%{_lib}/libudev.so.%{udev_major}*

#----------------------------------------------------------------------------

%package -n %{libudev_devel}
Summary:	Devel library for udev
Group:		Development/C
License:	LGPLv2+
Provides:	udev-devel = %{EVRD}
Requires:	%{libudev} = %{EVRD}

%description -n %{libudev_devel}
Devel library for udev.

%files -n %{libudev_devel}
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc
%{_datadir}/pkgconfig/udev.pc
%{_includedir}/libudev.h

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
find src/ -name "*.vala" -exec touch '{}' \;
find -type d |xargs chmod 755

%build
intltoolize --force --automake
autoreconf --force --install --verbose
%serverbuild_hardened

export CONFIGURE_TOP=$PWD

mkdir -p shared
pushd shared
%configure2_5x \
	--with-rootprefix= \
	--with-rootlibdir=/%{_lib} \
	--libexecdir=%{_prefix}/lib \
	--disable-static \
	--with-dns-servers="8.8.8.8 8.8.4.4" \
	--with-sysvinit-path=%{_initrddir} \
	--without-kill-user-processes \
	--with-default-dnssec=no \
%if %{with selinux}
	--enable-selinux \
%else
	--disable-selinux \
%endif
%if %{with bootstrap}
	--disable-libcryptsetup \
	--without-python \
%endif
	--enable-split-usr \
	--enable-xkbcommon
%make
popd

%install
%makeinstall_std -C shared

mkdir -p %{buildroot}{/bin,%{_sbindir}}

# (bor) create late shutdown and sleep directory
mkdir -p %{buildroot}%{systemd_libdir}/system-shutdown
mkdir -p %{buildroot}%{systemd_libdir}/system-sleep

# Create SysV compatibility symlinks. systemctl/systemd are smart
# enough to detect in which way they are called.
mkdir -p %{buildroot}/sbin
ln -s ..%{systemd_libdir}/systemd %{buildroot}/sbin/init
ln -s ..%{systemd_libdir}/systemd %{buildroot}/bin/systemd
ln -s ../bin/systemctl %{buildroot}/bin/reboot
ln -s ../bin/systemctl %{buildroot}/bin/halt
ln -s ../bin/systemctl %{buildroot}/bin/poweroff
ln -s ../bin/systemctl %{buildroot}/sbin/shutdown
ln -s ../bin/systemctl %{buildroot}/sbin/telinit
ln -s ../bin/systemctl %{buildroot}/sbin/runlevel
ln -s /bin/loginctl %{buildroot}%{_bindir}/systemd-loginctl

# Compatiblity and documentation files
touch %{buildroot}/etc/crypttab
chmod 600 %{buildroot}/etc/crypttab

touch %{buildroot}%{systemd_libdir}/network/95-rosa-legacy-naming.link
chmod 755 %{buildroot}%{systemd_libdir}/network/95-rosa-legacy-naming.link

# (tpg) dracut needs this
ln -s /bin/systemctl %{buildroot}%{_bindir}/systemctl

# We create all wants links manually at installation time to make sure
# they are not owned and hence overriden by rpm after the used deleted
# them.
rm -r %{buildroot}%{_sysconfdir}/systemd/system/*.target.wants
rm -f %{buildroot}%{_sysconfdir}/systemd/system/display-manager.service

# Make sure these directories are properly owned
mkdir -p %{buildroot}/%{systemd_libdir}/system/basic.target.wants
mkdir -p %{buildroot}/%{systemd_libdir}/system/default.target.wants
mkdir -p %{buildroot}/%{systemd_libdir}/system/dbus.target.wants
mkdir -p %{buildroot}/%{systemd_libdir}/system/syslog.target.wants
mkdir -p %{buildroot}%{_sysconfdir}/systemd/system/getty.target.wants
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/coredump
mkdir -p %{buildroot}%{_localstatedir}/run
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/run/utmp
touch %{buildroot}%{_localstatedir}/log/{w,b}tmp

#(tpg) keep these compat symlink
ln -s -r %{buildroot}/%{systemd_libdir}/system/systemd-udevd.service %{buildroot}/%{systemd_libdir}/system/udev.service
ln -s -r %{buildroot}/%{systemd_libdir}/system/systemd-udev-settle.service %{buildroot}/%{systemd_libdir}/system/udev-settle.service

# And the default symlink we generate automatically based on inittab
rm -f %{buildroot}%{_sysconfdir}/systemd/system/default.target

# (tpg) this is needed
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-generators
mkdir -p %{buildroot}%{_prefix}/lib/systemd/user-generators

# (bor) make sure we own directory for bluez to install service
mkdir -p %{buildroot}/%{systemd_libdir}/system/bluetooth.target.wants

# (tpg) use systemd's own mounting capability
sed -i -e 's/^#MountAuto=yes$/MountAuto=yes/' %{buildroot}/etc/systemd/system.conf
sed -i -e 's/^#SwapAuto=yes$/SwapAuto=yes/' %{buildroot}/etc/systemd/system.conf

# (bor) enable rpcbind.target by default so we have something to plug portmapper service into
ln -s ../rpcbind.target %{buildroot}/%{systemd_libdir}/system/multi-user.target.wants

# (bor) machine-id-setup is in /sbin in post-v20
install -d %{buildroot}/sbin && mv %{buildroot}/bin/systemd-machine-id-setup %{buildroot}/sbin

# (eugeni) install /run
mkdir %{buildroot}/run

# (tpg) create missing dir
mkdir -p %{buildroot}%{_libdir}/systemd/user/
mkdir -p %{buildroot}%{_sysconfdir}/systemd/user/default.target.wants

# Create new-style configuration files so that we can ghost-own them
touch %{buildroot}%{_sysconfdir}/hostname
touch %{buildroot}%{_sysconfdir}/vconsole.conf
touch %{buildroot}%{_sysconfdir}/locale.conf
touch %{buildroot}%{_sysconfdir}/machine-id
touch %{buildroot}%{_sysconfdir}/machine-info
touch %{buildroot}%{_sysconfdir}/localtime
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
touch %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf

# (cg) Set up the pager to make it generally more useful
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh << EOF
export SYSTEMD_PAGER="/usr/bin/less -FR"
EOF
chmod 644 %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh

# (akdengi) move rpm macros
mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d/
mv  %{buildroot}%{_prefix}/lib/rpm/macros.d/macros.systemd %{buildroot}%{_sysconfdir}/rpm/macros.d/%{name}.macros

# Make sure the NTP units dir exists
mkdir -p %{buildroot}%{systemd_libdir}/ntp-units.d/

# (cg) Make the journal's persistent in order to provide a real syslog implementation
install -m 0755 -d %{buildroot}%{_logdir}/journal

# (tpg) Install default Mandriva preset policy for services
mkdir -p %{buildroot}%{systemd_libdir}/system-preset/
mkdir -p %{buildroot}%{systemd_libdir}/user-preset/
install -m 0644 %{SOURCE12} %{buildroot}%{systemd_libdir}/system-preset/
install -m 0644 %{SOURCE13} %{buildroot}%{systemd_libdir}/system-preset/
install -m 0644 %{SOURCE14} %{buildroot}%{systemd_libdir}/system-preset/

# (tpg) install network file
install -m 0644 %{SOURCE17} %{buildroot}%{systemd_libdir}/network/
# (fedya) install wireless file
install -m 0644 %{SOURCE20} %{buildroot}%{systemd_libdir}/network/

# (tpg) install userspace presets
install -m 0644 %{SOURCE18} %{buildroot}%{systemd_libdir}/user-preset/

# Install rsyslog fragment
mkdir -p %{buildroot}%{_sysconfdir}/rsyslog.d/
install -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/rsyslog.d/

# (tpg) by default enable SysRq
sed -i -e 's/^#*kernel.sysrq = [0-9]\+/kernel.sysrq = 1/' %{buildroot}/usr/lib/sysctl.d/50-default.conf

# Install script to handle old init scripts
install -m 0755 %{SOURCE1} %{buildroot}%{systemd_libdir}/systemd-sysv-install

# (tpg) from mageia
# automatic systemd release on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.filter << EOF
^./lib/systemd/system/
^./etc/systemd/system/
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script << EOF
#!/bin/sh
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
    if [ -x /bin/systemctl ]; then
	/bin/systemctl daemon-reload >/dev/null 2>&1 || :
    fi
fi
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script

#################
#	UDEV	#
#	START	#
#################

install -m 644 %{SOURCE2} %{buildroot}%{udev_rules_dir}/
install -m 644 %{SOURCE3} %{buildroot}%{udev_rules_dir}/
mkdir -p  %{buildroot}%{_sysconfdir}/sysconfig/udev
install -m 0644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/sysconfig/udev
# net rules
install -m 0644 %{SOURCE6} %{buildroot}%{udev_rules_dir}/
install -m 0755 %{SOURCE7} %{buildroot}%{udev_libdir}/net_create_ifcfg
install -m 0755 %{SOURCE8} %{buildroot}%{udev_libdir}/net_action
install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/sysconfig/udev_net

install -m 0644 %{SOURCE10} %{buildroot}%{udev_rules_dir}/
install -m 0644 %{SOURCE19} %{buildroot}%{udev_rules_dir}/

# unless we make a decision to merge /*bin with /usr/*bin, we'll aim for FHS
# compliance and make sure to keep thing in their traditional locations
mv %{buildroot}/bin/udevadm %{buildroot}/sbin
# probably not required, but let's just be on the safe side for now..
ln -sf /sbin/udevadm %{buildroot}%{_bindir}/udevadm
ln -sf /sbin/udevadm %{buildroot}%{_sbindir}/udevadm

# (tpg) this is needed, because udevadm is in /sbin
# altering the path allows to boot on before root pivot
sed -i --follow-symlinks -e 's#/bin/udevadm#/sbin/udevadm#g' %{buildroot}/%{systemd_libdir}/system/*.service

mkdir -p %{buildroot}%{_prefix}/lib/firmware/updates
mkdir -p %{buildroot}%{_sysconfdir}/udev/agents.d/usb
touch %{buildroot}%{_sysconfdir}/scsi_id.config

ln -s ..%{systemd_libdir}/systemd-udevd %{buildroot}/sbin/udevd
ln -s %{systemd_libdir}/systemd-udevd %{buildroot}%{udev_libdir}/udevd

# udev rules for zte 3g modems and drakx-net


mkdir -p %{buildroot}/lib/firmware/updates
# default /dev content, from Fedora RPM
mkdir -p %{buildroot}%{udev_libdir}/devices/{net,hugepages,pts,shm}
# From previous Mandriva /etc/udev/devices.d
mkdir -p %{buildroot}%{udev_libdir}/devices/cpu/0

#################
#	UDEV	#
#	END	#
#################

# (tpg) just delete this for now
# file /usr/share/man/man5/crypttab.5.xz 
# from install of systemd-186-2.x86_64 
# conflicts with file from package initscripts-9.25-10.x86_64
rm -rf %{buildroot}%{_mandir}/man5/crypttab*

# (akdengi) move README to systemd.README
mv %{buildroot}%{_initddir}/README %{buildroot}%{_initddir}/systemd.README
mv %{buildroot}%{_var}/log/README %{buildroot}%{_var}/log/systemd.README

# (akdengi) Use our implementation of efi boot generator to mount EFI partition on /boot/efi
rm -f %{buildroot}%{systemd_libdir}/system-generators/systemd-efi-boot-generator 
install -m 0755 %{SOURCE15} %{buildroot}%{systemd_libdir}/system-generators/systemd-efi-boot-generator

%find_lang %{name}

%triggerin -- glibc
# reexec daemon on self or glibc update to avoid busy / on shutdown
# trigger is executed on both self and target install so no need to have
# extra own post
if [ $1 -ge 2 -o $2 -ge 2 ] ; then
	/bin/systemctl daemon-reexec 2>&1 || :
fi

%pre -n udev
if [ -d /lib/hotplug/firmware ]; then
	echo "Moving /lib/hotplug/firmware to /lib/firmware"
	mkdir -p /lib/firmware
	mv /lib/hotplug/firmware/* /lib/firmware/ 2>/dev/null
	rmdir -p --ignore-fail-on-non-empty /lib/hotplug/firmware
	:
fi
if [ X"`readlink /lib/udev/rules.d/80-net-name-slot.rules`" == X"/dev/null" ]; then
	mkdir -p %{systemd_libdir}/network/
	cat > %{systemd_libdir}/network/95-rosa-legacy-naming.link << EOF
# This configuration file was created to preserve legacy naming scheme for network interfaces
# Remove it to use modern naming scheme
[Link]
NamePolicy=kernel
MACAddressPolicy=persistent
EOF
	chmod 644 %{systemd_libdir}/network/95-rosa-legacy-naming.link
fi


%post -n udev
/bin/systemctl --quiet try-restart systemd-udevd.service >/dev/null 2>&1 || :
/sbin/udevadm hwdb --update >/dev/null 2>&1 || :

%pre
getent group cdrom >/dev/null 2>&1 || groupadd -r -g 11 cdrom >/dev/null 2>&1 || :
getent group utmp >/dev/null 2>&1 || groupadd -r -g 22 utmp >/dev/null 2>&1 || :
getent group tape >/dev/null 2>&1 || groupadd -r -g 33 tape >/dev/null 2>&1 || :
getent group dialout >/dev/null 2>&1 || groupadd -r -g 18 dialout >/dev/null 2>&1 || :
getent group input >/dev/null 2>&1 || groupadd -r input >/dev/null 2>&1 || :
getent group systemd-journal >/dev/null 2>&1 || groupadd -r -g 190 systemd-journal 2>&1 || :
getent group systemd-timesync >/dev/null 2>&1 || groupadd -r systemd-timesync 2>&1 || :
getent passwd systemd-timesync >/dev/null 2>&1 || useradd -r -l -g systemd-timesync -d / -s /sbin/nologin -c "systemd Time Synchronization" systemd-timesync >/dev/null 2>&1 || :
getent group systemd-network >/dev/null 2>&1 || groupadd -r systemd-network 2>&1 || :
getent passwd systemd-network >/dev/null 2>&1 || useradd -r -l -g systemd-network -d / -s /sbin/nologin -c "systemd Network Management" systemd-network >/dev/null 2>&1 || :
getent group systemd-resolve >/dev/null 2>&1 || groupadd -r systemd-resolve 2>&1 || :
getent passwd systemd-resolve >/dev/null 2>&1 || useradd -r -l -g systemd-resolve -d / -s /sbin/nologin -c "systemd Resolver" systemd-resolve >/dev/null 2>&1 || :
getent group systemd-bus-proxy >/dev/null 2>&1 || groupadd -r systemd-bus-proxy 2>&1 || :
getent passwd systemd-bus-proxy >/dev/null 2>&1 || useradd -r -l -g systemd-bus-proxy -d / -s /sbin/nologin -c "systemd Bus Proxy" systemd-bus-proxy >/dev/null 2>&1 || :
getent group systemd-coredump >/dev/null 2>&1 || groupadd -r systemd-coredump 2>&1 || :
getent passwd systemd-coredump >/dev/null 2>&1 || useradd -r -l -g systemd-coredump -d %{_localstatedir}/lib/systemd/coredump -s /sbin/nologin -c "systemd Core Dumper" systemd-coredump >/dev/null 2>&1 || :

systemctl stop systemd-udevd-control.socket systemd-udevd-kernel.socket systemd-udevd.service >/dev/null 2>&1 || :


%post
/sbin/systemd-machine-id-setup > /dev/null 2>&1 || :
/lib/systemd/systemd-random-seed save > /dev/null 2>&1 || :
/bin/systemctl daemon-reexec > /dev/null 2>&1 || :
/bin/systemctl start systemd-udevd.service systemd-udev.service >/dev/null 2>&1 || :
/sbin/udevadm hwdb --update >/dev/null 2>&1 || :
/bin/journalctl --update-catalog >/dev/null 2>&1 || :
/bin/systemd-tmpfiles --create >/dev/null 2>&1 || :

# (tpg) do not use fistboot here as id hangs on firstboot in lxc :)
# systemd-firstboot --setup-machine-id
systemd-sysusers

# Make sure new journal files will be owned by the "systemd-journal" group
chgrp systemd-journal /run/log/journal/ /run/log/journal/`cat /etc/machine-id 2> /dev/null` /var/log/journal/ /var/log/journal/`cat /etc/machine-id 2> /dev/null` >/dev/null 2>&1 || :
chmod g+s /run/log/journal/ /run/log/journal/`cat /etc/machine-id 2> /dev/null` /var/log/journal/ /var/log/journal/`cat /etc/machine-id 2> /dev/null` >/dev/null 2>&1 || :

# Apply ACL to the journal directory
setfacl -Rnm g:wheel:rx,d:g:wheel:rx,g:adm:rx,d:g:adm:rx /var/log/journal/ >/dev/null 2>&1 || :

if [ $1 == 1 ]; then
	# On first install process all tmpfiles that may have been installed before us
	# Hard requires on some packages on systemd might make cyclic deps on early
	# transactions.
	# We avoid systemd.conf so as not to create /run/nologin
	# NOTE We can probably revert to using filetriggers again for tmpfiles now that
	#      there is a --boot option which should make running --create without a
	#      basename config nice and safe.
	for tmpfile in %{_tmpfilesdir}/*.conf; do
		if [ -f "$tmpfile" -a "$tmpfile" != "%{_tmpfilesdir}/systemd-nologin.conf" ]; then
			/bin/systemd-tmpfiles --create $(basename "$tmpfile")
		fi
	done
fi

# Services we install by default, and which are controlled by presets.
if [ $1 -eq 1 ] ; then
	systemctl preset \
		remote-fs.target \
		getty@.service \
		serial-getty@.service \
		console-getty.service \
		console-shell.service \
		debug-shell.service \
		systemd-timesyncd.service \
		systemd-networkd.service \
		systemd-networkd-wait-online.service \
		systemd-resolved.service \
		>/dev/null 2>&1 || :
fi

hostname_new=`cat %{_sysconfdir}/hostname 2>/dev/null`
if [ -z $hostname_new ]; then
	hostname_old=`cat /etc/sysconfig/network 2>/dev/null | grep HOSTNAME | cut -d "=" -f2`
	if [ ! -z $hostname_old ]; then
		echo $hostname_old >> %{_sysconfdir}/hostname
	else
		echo "localhost" >> %{_sysconfdir}/hostname
	fi
fi

# Migrate /etc/sysconfig/clock
if [ ! -L /etc/localtime -a -e /etc/sysconfig/clock ] ; then
	. /etc/sysconfig/clock 2>&1 || :
	if [ -n "$ZONE" -a -e "/usr/share/zoneinfo/$ZONE" ] ; then
	    /bin/ln -sf "../usr/share/zoneinfo/$ZONE" /etc/localtime >/dev/null 2>&1 || :
	fi
fi

# Migrate /etc/sysconfig/i18n
if [ -e /etc/sysconfig/i18n -a ! -e /etc/locale.conf ]; then
	unset LANG
	unset LANGUAGE
	unset LC_CTYPE
	unset LC_NUMERIC
	unset LC_TIME
	unset LC_COLLATE
	unset LC_MONETARY
	unset LC_MESSAGES
	unset LC_PAPER
	unset LC_NAME
	unset LC_ADDRESS
	unset LC_TELEPHONE
	unset LC_MEASUREMENT
	unset LC_IDENTIFICATION
	. /etc/sysconfig/i18n >/dev/null 2>&1 || :
	[ -n "$LANG" ] && echo LANG=$LANG > /etc/locale.conf 2>&1 || :
	[ -n "$LANGUAGE" ] && echo LANGUAGE=$LANGUAGE >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_CTYPE" ] && echo LC_CTYPE=$LC_CTYPE >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_NUMERIC" ] && echo LC_NUMERIC=$LC_NUMERIC >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_TIME" ] && echo LC_TIME=$LC_TIME >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_COLLATE" ] && echo LC_COLLATE=$LC_COLLATE >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_MONETARY" ] && echo LC_MONETARY=$LC_MONETARY >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_MESSAGES" ] && echo LC_MESSAGES=$LC_MESSAGES >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_PAPER" ] && echo LC_PAPER=$LC_PAPER >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_NAME" ] && echo LC_NAME=$LC_NAME >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_ADDRESS" ] && echo LC_ADDRESS=$LC_ADDRESS >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_TELEPHONE" ] && echo LC_TELEPHONE=$LC_TELEPHONE >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_MEASUREMENT" ] && echo LC_MEASUREMENT=$LC_MEASUREMENT >> /etc/locale.conf 2>&1 || :
	[ -n "$LC_IDENTIFICATION" ] && echo LC_IDENTIFICATION=$LC_IDENTIFICATION >> /etc/locale.conf 2>&1 || :
fi

# Migrate /etc/sysconfig/keyboard to the vconsole configuration
if [ \( -e /etc/sysconfig/keyboard -o -e /etc/sysconfig/i18n \) -a ! -e /etc/vconsole.conf ]; then
	unset SYSFONT
	unset SYSFONTACM
	unset UNIMAP
	unset KEYTABLE
	[ -e /etc/sysconfig/i18n ] && . /etc/sysconfig/i18n >/dev/null 2>&1 || :
	[ -e /etc/sysconfig/keyboard ] && . /etc/sysconfig/keyboard >/dev/null 2>&1 || :
	[ -n "$SYSFONT" ] && echo FONT=$SYSFONT > /etc/vconsole.conf 2>&1 || :
	[ -n "$SYSFONTACM" ] && echo FONT_MAP=$SYSFONTACM >> /etc/vconsole.conf 2>&1 || :
	[ -n "$UNIMAP" ] && echo FONT_UNIMAP=$UNIMAP >> /etc/vconsole.conf 2>&1 || :
	if [ -n "$KEYTABLE" ]; then
		# "ru4" is obsolete keymap for KOI8-R, switch to "ru" on uprgade
		if [ "$KEYTABLE" == "ru4" ]; then KEYTABLE="ru"; fi
		echo KEYMAP=$KEYTABLE >> /etc/vconsole.conf 2>&1 || :
	fi
fi

# Set default font if not defined
unset FONT
[ -e /etc/vconsole.conf ] && . /etc/vconsole.conf >/dev/null 2>&1 || :
[ ! -n "$FONT" ] && echo FONT=default >> /etc/vconsole.conf 2>&1 || :

# Migrate /etc/sysconfig/keyboard to the X11 keyboard configuration
if [ -e /etc/sysconfig/keyboard -a ! -e %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf ]; then
	unset XkbLayout
	unset XkbModel
	unset XkbVariant
	unset XkbOptions
	. /etc/sysconfig/keyboard >/dev/null 2>&1 || :

	echo "Section \"InputClass\"" > %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	echo "        Identifier \"system-keyboard\"" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	echo "        MatchIsKeyboard \"on\"" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	[ -n "$XkbLayout" ]  && echo "        Option \"XkbLayout\" \"$XkbLayout\"" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	[ -n "$XkbModel" ]   && echo "        Option \"XkbModel\" \"$XkbModel\"" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	[ -n "$XkbVariant" ] && echo "        Option \"XkbVariant\" \"$XkbVariant\"" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	[ -n "$XkbOptions" ] && echo "        Option \"XkbOptions\" \"$XkbOptions\"" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
	echo "EndSection" >> %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf 2>/dev/null || :
fi

rm -f /etc/sysconfig/i18n >/dev/null 2>&1 || :
rm -f /etc/sysconfig/keyboard >/dev/null 2>&1 || :

# (tpg) this is needed for rsyslog
/bin/ln -s %{systemd_libdir}/system/rsyslog.service /etc/systemd/system/syslog.service >/dev/null 2>&1 || :

# Migrate HOSTNAME= from /etc/sysconfig/network
if [ -e /etc/sysconfig/network -a ! -e /etc/hostname ]; then
	unset HOSTNAME
	. /etc/sysconfig/network >/dev/null 2>&1 || :
	[ -n "$HOSTNAME" ] && echo $HOSTNAME > /etc/hostname 2>&1 || :
fi
/bin/sed -i '/^HOSTNAME=/d' /etc/sysconfig/network >/dev/null 2>&1 || :

# sed-fu to add myhostname to the hosts line of /etc/nsswitch.conf
if [ -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                /\<myhostname\>/ b
                s/[[:blank:]]*$/ myhostname/
                ' /etc/nsswitch.conf >/dev/null 2>&1 || :

        sed -i.bak -e '
                /^hosts:/ !b
                /\<mymachines\>/ b
                s/[[:blank:]]*$/ mymachines/
                ' /etc/nsswitch.conf >/dev/null 2>&1 || :
fi

# (tpg) move sysctl.conf to /etc/sysctl.d as since 207 /etc/sysctl.conf is skipped
if [ $1 -ge 2 ]; then
    if [ -e %{_sysconfdir}/sysctl.conf ] && [ ! -L %{_sysconfdir}/sysctl.conf ]; then
	mv -f %{_sysconfdir}/sysctl.conf %{_sysconfdir}/sysctl.d/99-sysctl.conf
	ln -s %{_sysconfdir}/sysctl.d/99-sysctl.conf %{_sysconfdir}/sysctl.conf
    fi
fi

# remove obsolete systemd-readahead file
rm -f /.readahead > /dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ] ; then
	systemctl disable \
		remote-fs.target \
		getty@.service \
		serial-getty@.service \
		console-getty.service \
		console-shell.service \
		debug-shell.service \
		systemd-readahead-replay.service \
		systemd-readahead-collect.service \
		systemd-timesyncd.service \
		systemd-networkd.service \
		systemd-networkd-wait-online.service \
		systemd-resolved.service \
		>/dev/null 2>&1 || :

	/bin/rm -f /etc/systemd/system/default.target 2>&1 || :

	if [ -f /etc/nsswitch.conf ] ; then
		sed -i.bak -e '
			/^hosts:/ !b
			s/[[:blank:]]\+myhostname\>//
			' /etc/nsswitch.conf >/dev/null 2>&1 || :

		sed -i.bak -e '
			/^hosts:/ !b
			s/[[:blank:]]\+mymachines\>//
			' /etc/nsswitch.conf >/dev/null 2>&1 || :
	fi
fi

%triggerin -- %{name} < 204
# (akdengi) Fix logind.conf for KDE - we need disable logind for suspend/hibernate if systemd < 198

if cat /etc/sysconfig/desktop | grep KDE; then
	cp /etc/systemd/logind.conf /etc/systemd/logind.conf.old
	sed -e 's/HandleSuspendKey=suspend/#HandleSuspendKey=suspend/' -i /etc/systemd/logind.conf
	sed -e 's/HandleHibernateKey=ignore/#HandleHibernateKey=hibernate/' -i /etc/systemd/logind.conf
	sed -e 's/HandleLidSwitch=ignore/#HandleLidSwitch=suspend/' -i /etc/systemd/logind.conf
fi

%triggerun -- %{name} < 208
chgrp -R systemd-journal /var/log/journal || :
chmod 02755 /var/log/journal || :
if [ -f /etc/machine-id ]; then
	chmod 02755 /var/log/journal/$(cat /etc/machine-id) || :
fi

%triggerun -- %{name} < 208-15
#Delete old generated boot-efi if present

#See for EFI present
if [ -d /sys/firmware/efi ]; then

umount -f /boot/efi
rm -f %{systemd_libdir}/system/boot-efi.*
rm -f %{systemd_libdir}/system/local-fs.target.wants/boot-efi.automount
fi

%triggerun -- %{name} < 208-21
#Delete getty target

if [ -d %{_sysconfdir}/systemd/system/getty.target.wants ]; then
 rm -rf %{_sysconfdir}/systemd/system/getty.target.wants
fi

%triggerun -- %{name}
if [ -x %{_sbindir}/dracut ]; then
    %{_sbindir}/dracut -f
fi

%triggerposttransun -- resolvconf < 1.75-22
/bin/systemctl preset systemd-resolved.service 2>&1 || :
/bin/systemctl restart systemd-resolved.service 2>&1 || :
if [ -f /etc/resolv.conf ]; then
    rm -f /etc/resolv.conf
    ln -sf ../run/systemd/resolve/resolv.conf /etc/resolv.conf
elif [ ! -e /etc/resolv.conf ]; then
    ln -sf ../run/systemd/resolve/resolv.conf /etc/resolv.conf
elif [ -L /etc/resolv.conf ] && [ "$(readlink /etc/resolv.conf)" = "/run/resolvconf/resolv.conf" ]; then
    rm -f /etc/resolv.conf
    ln -sf ../run/systemd/resolve/resolv.conf /etc/resolv.conf
elif [ -L /etc/resolv.conf ] && [ "$(readlink /etc/resolv.conf)" = "/run/NetworkManager/resolv.conf" ]; then
    rm -f /etc/resolv.conf
    ln -sf ../run/systemd/resolve/resolv.conf /etc/resolv.conf
fi

%triggerposttransin -- %{_tmpfilesdir}/*.conf
if [ $1 -eq 1 -o $2 -eq 1 ]; then
    while [ -n "$3" ]; do
        if [ -f "$3" ]; then
            /bin/systemd-tmpfiles --create "$3"
        fi
        shift
    done
fi

%triggerposttransun -- %{_tmpfilesdir}/*.conf
if [ $2 -eq 0 ]; then
    while [ -n "$3" ]; do
        if [ -f "$3" ]; then
            /bin/systemd-tmpfiles --remove "$3"
        fi
        shift
    done
fi

%triggerpostun -- ^%{_unitdir}/.*\.(service|socket|path|timer)$
/bin/systemctl daemon-reload >/dev/null 2>&1 || :

%triggerposttransin -- %{_binfmtdir}/*.conf
systemctl reload-or-try-restart systemd-binfmt

%triggerposttransun -- %{_binfmtdir}/*.conf
systemctl reload-or-try-restart systemd-binfmt

%pre journal-gateway
getent group systemd-journal-gateway >/dev/null 2>&1 || groupadd -r -g 191 systemd-journal-gateway 2>&1 || :
getent passwd systemd-journal-gateway >/dev/null 2>&1 || useradd -r -l -u 191 -g systemd-journal-gateway -d %{_localstatedir}/log/journal -s /sbin/nologin -c "Journal Gateway" systemd-journal-gateway >/dev/null 2>&1 || :
getent group systemd-journal-remote >/dev/null 2>&1 || groupadd -r systemd-journal-remote 2>&1 || :
getent passwd systemd-journal-remote >/dev/null 2>&1 || useradd -r -l -g systemd-journal-remote -d /%{_localstatedir}/log/journal/remote -s /sbin/nologin -c "Journal Remote" systemd-journal-remote >/dev/null 2>&1 || :
getent group systemd-journal-upload >/dev/null 2>&1 || groupadd -r systemd-journal-upload 2>&1 || :
getent passwd systemd-journal-upload >/dev/null 2>&1 || useradd -r -l -g systemd-journal-upload -d /%{_localstatedir}/log/journal/upload -s /sbin/nologin -c "Journal Upload" systemd-journal-upload >/dev/null 2>&1 || :

%post journal-gateway
%systemd_post systemd-journal-gatewayd.socket systemd-journal-gatewayd.service
%systemd_post systemd-journal-remote.socket systemd-journal-remote.service
%systemd_post systemd-journal-upload.service
# % firewalld_reload

%preun journal-gateway
%systemd_preun systemd-journal-gatewayd.socket systemd-journal-gatewayd.service
%systemd_preun systemd-journal-remote.socket systemd-journal-remote.service
%systemd_preun systemd-journal-upload.service

%postun journal-gateway
%systemd_postun_with_restart systemd-journal-gatewayd.service
%systemd_postun_with_restart systemd-journal-remote.service
%systemd_postun_with_restart systemd-journal-upload.service
# % firewalld_reload

%changelog

* Tue Jan 30 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-8
- (1fb3fff) Add patch for upstream bug #5607 (for better kernels 4.10+ support)

* Thu Jan 25 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-7
- (11569a9) Add patch to fix CVE-2017-15908
- (Andrey Bondrov: 4672366) Add patch to fix CVE-2018-1049

* Thu Jun 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-6
- (fa3e5f0) Add script to handle old init scripts

* Fri Feb 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-5
- (7410213) Add patch to fix build with gperf 3.1
- (Andrey Bondrov: e04f3c0) MassBuild#1230: Increase release tag

* Tue Nov 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-4
- (d4739c4) Bump release

* Tue Nov 29 2016 Vladimir Potapov <vladimir.potapov@rosalab.ru> 230-3
- (f06fc5b) disable duplicate services
- (Andrey Bondrov: 15b9077) Run just dracut -f (sync with plymouth)

* Wed Nov 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-2
- (0371752) Create systemd-coredump user

* Sun Nov 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 230-1
- (0a505e8) Fix a typo
- (Andrey Bondrov: 577a180) Silence udev version print during boot as it breaks splash
- (Andrey Bondrov: b00e505) Add upstream fixes for CVE-2016-7795
- (Andrey Bondrov: a27e76b) Hopefully fully fix rfkill stop job queue blockage (mga#16647)
- (Andrey Bondrov: f2e5120) Fix automount expiry+remount (upstream)
- (Andrey Bondrov: 11981e5) Lock down fbdev (upstream)
- (Andrey Bondrov: 61145fb) Disable dnssec for now (as recommended upstream)
- (Andrey Bondrov: 1c75589) Keep previous logind user process handling behaviour (do not kill screen)
- (Andrey Bondrov: e97d481) Don't obsolete and provide bootchart
- (Andrey Bondrov: b07b34c) Package unpackaged subdirs
- (Andrey Bondrov: 695c43b) Drop empty udev-doc package
- (Andrey Bondrov: 1ec7f0f) Drop gudev parts as they are moved into individual package
- (Andrey Bondrov: ed9ec9a) Drop obsolete compat libraries as upstream did in 230
- (Andrey Bondrov: 8f8b26c) Drop obsolete configure options
- (Andrey Bondrov: e848fd3) Update development package files
- (Andrey Bondrov: 0b3066b) python-systemd moved to individual package
- (Andrey Bondrov: 5ae8260) Update files
- (Andrey Bondrov: edee77f) Drop temporary workaround for #bz5944/#rhbz1002806
- (Andrey Bondrov: 9caa100) Run intltoolize --force --automake
- (Andrey Bondrov: 58a517d) New version 230
- (Andrey Bondrov: 58a517d) Re-diff still needed patches


